Bug 247988 - ports-mgmt/distilator: distilator fails on Rust-based ports
Summary: ports-mgmt/distilator: distilator fails on Rust-based ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-15 04:32 UTC by Yuri Victorovich
Modified: 2020-07-18 08:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ehaupt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-07-15 04:32:29 UTC
For example:
> $ cd /usr/ports/games/abstreet && distilator 
> -p not supported
> "rust/crates" not supported
> && not supported
> -o not supported
> rust/crates/ahash-0.2.18.tar.gz not supported
> -o not supported
> "rust/crates" not supported
> && not supported
> -o not supported
> rust/crates/autocfg-0.1.7.tar.gz not supported
> mkdir not supported
> -p not supported
> "rust/crates" not supported
> ...
Comment 1 Emanuel Haupt freebsd_committer 2020-07-17 19:59:51 UTC
Confirmed. Thanks for the report. I'm looking into it.
Comment 2 commit-hook freebsd_committer 2020-07-18 08:35:01 UTC
A commit references this bug:

Author: ehaupt
Date: Sat Jul 18 08:34:13 UTC 2020
New revision: 542481
URL: https://svnweb.freebsd.org/changeset/ports/542481

Log:
  Update to 1.3

  This fixes URL detection in cases when `make fetch-urlall-list` does not produce
  pure URL's (eg. is prefixed with fetch arguments). This is the case for all
  Rust-based ports.

  PR:		247988 (based on)
  Reported by:	yuri

Changes:
  head/ports-mgmt/distilator/Makefile
  head/ports-mgmt/distilator/distinfo
Comment 3 Emanuel Haupt freebsd_committer 2020-07-18 08:36:40 UTC
Updated version committed, thanks!